PPL 1.2

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes

- Class List
- Class Hierarchy
- Class Members

Public Member Functions | List of all members
Parma_Polyhedra_Library::Implementation::Watchdog::Handler_Function Class Reference

A kind of Handler calling a given function. More...

`#include <ppl.hh>`

Inheritance diagram for Parma_Polyhedra_Library::Implementation::Watchdog::Handler_Function:
[legend]

## Public Member Functions
| Handler_Function (void(*const function)())
| Constructor with a given function.
virtual void | act () const
| Does its job: calls the embedded function.
Public Member Functions inherited from Parma_Polyhedra_Library::Implementation::Watchdog::Handler
virtual | ~Handler ()
| Virtual destructor.

## Detailed Description

A kind of Handler calling a given function.

The documentation for this class was generated from the following file:

- ppl.hh